Package com.complexible.stardog.rdf4j

# Class StardogRepositoryConfig

java.lang.Object
org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
com.complexible.stardog.rdf4j.StardogRepositoryConfig

All Implemented Interfaces:
  `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`

public final class StardogRepositoryConfig extends org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

Stardog based Repository configuration for use with `StardogRepositoryFactory`

Since:
  5.0.2
Version:
  5.0.2
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogRepositoryConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.eclipse.rdf4j.model.Resource`
  `export(org.eclipse.rdf4j.model.Model theGraph)`
  `String`
  `getConnectionString()`
  `void`
  `parse(org.eclipse.rdf4j.model.Model theGraph, org.eclipse.rdf4j.model.Resource theResource)`
  `void`
  `setConnectionString(String theConnectionString)`
  `void`
  `validate()`

  ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

  `create, getType, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StardogRepositoryConfig

    public StardogRepositoryConfig()

- ## Method Details

  - ### getConnectionString

    public String getConnectionString()

  - ### setConnectionString

    public void setConnectionString(String theConnectionString)

  - ### validate

    public void validate() throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `validate` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `validate` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`

  - ### export

    public org.eclipse.rdf4j.model.Resource export(org.eclipse.rdf4j.model.Model theGraph)
    Specified by:
      `export` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `export` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`

  - ### parse

    public void parse(org.eclipse.rdf4j.model.Model theGraph, org.eclipse.rdf4j.model.Resource theResource) throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `parse` in interface `org.eclipse.rdf4j.repository.config.RepositoryImplConfig`
    Overrides:
      `parse` in class `org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`